import { assign as q, isArray as p, reduce as x } from "../../../min-dash/dist/index.esm.mjs";
function v() {
  var u = {
    "no-fill": {
      fill: "none"
    },
    "no-border": {
      strokeOpacity: 0
    },
    "no-events": {
      pointerEvents: "none"
    }
  }, t = this;
  this.cls = function(n, e, r) {
    var s = this.style(e, r);
    return q(s, { class: n });
  }, this.style = function(n, e) {
    !p(n) && !e && (e = n, n = []);
    var r = x(n, function(s, c) {
      return q(s, u[c] || {});
    }, {});
    return e ? q(r, e) : r;
  }, this.computeStyle = function(n, e, r) {
    return p(e) || (r = e, e = []), t.style(e || [], q({}, r, n || {}));
  };
}
export {
  v as default
};
